Subject: Re: Solutions for Fast Software Upgrade in Linux/PPC

From: Magnus Damm <[email-masked]>
Date: Thu, 27 Sep 2001 00:53:01 +0200

I recommend a combination of a simple bootloader and
a reboot-linux-in-linux piece of software.

You can find miniboot - a safe and simple bootloader
at http://opensource.se/projects/
With a clever-designed upgrade application it's possible
to update the flash in a fail-safe way.

One neat feature is that miniboot runs without any external RAM,
which makes it possible to keep the RAM-code in a upgradeable
image.

I also have a driver, relf, (Reboot ELF) that makes it
possible to reboot an ELF directly from Linux.
It has booted Linux, vxWorks and pSOS. mpc8xx only.
If you're intrested - give me a mail and I will send it to you.

Good luck /

Magnus

Josh Huber wrote:
>
> Grant Erickson <[email-masked]> writes:
>
> [snip]
>
> I'd also recommend the fast-reboot option, but since no one mentioned
> yet I'll suggest Werner Almsberger's bootimg utility.
>
> Take a look at:
> <URL:ftp://icaftp.epfl.ch/pub/people/almesber/misc/>
>
> specifically, bootimg-current.tar.gz
>
> Also, in ../booting/ there is a paper describing the
> method. (bootinglinux-current.ps.gz)
>
> I've tested this many times (we use it at Mission Critical for our
> kernel crash dump system), and if you're looking for fast reboots this
> is the way to go.
>
> Unfortunately, it doesn't solve the upgrading of the ROM issue.
>
> For the lazy who don't want to look at the references, what this
> allows you to do is boot a linux kernel, using an already loaded Linux
> kernel.
>
> ttyl,
> --
> Josh Huber
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/